Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Catalin Marinas <[email-masked]>
Date: Mon, 19 Feb 2024 16:49:16 +0000

On Mon, Feb 19, 2024 at 03:22:14PM +0000, Marc Zyngier wrote:
> From f24638a5f41424faf47f3d9035e6dcbd3800fcb6 Mon Sep 17 00:00:00 2001
> From: Marc Zyngier <[email-masked]>
> Date: Mon, 19 Feb 2024 15:13:22 +0000
> Subject: [PATCH] arm64: Use Signed/Unsigned enums for TGRAN{4,16,64} and
>  VARange
> 
> Open-coding the feature matching parameters for LVA/LVA2 leads to
> issues with upcoming changes to the cpufeature code.
> 
> By making TGRAN{4,16,64} and VARange signed/unsigned as per the
> architecture, we can use the existing macros, making the feature
> match robust against those changes.
> 
> Signed-off-by: Marc Zyngier <[email-masked]>

Thanks Marc. I applied it on top of the arm64 for-next/stage1-lpa2
branch.

-- 
Catalin